org.apache.uima.resource

## Interface MailMessagingSpecifier

- All Superinterfaces:
    Cloneable, MessagingSpecifier, MetaDataObject, ResourceServiceSpecifier, ResourceSpecifier, Serializable, XMLizable

      public interface MailMessagingSpecifier
      extends MessagingSpecifier

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHostImapPort()` Returns the hostImapPort.
    `int` | `getHostSmtpPort()` Returns the hostSmtpPort.
    `int` | `getTargetImapPort()` Returns the targetImapPort.
    `int` | `getTargetSmtpPort()` Returns the targetSmtpPort.
    `void` | `setHostImapPort(int hostImapPort)` Sets the hostImapPort.
    `void` | `setHostSmtpPort(int hostSmtpPort)` Sets the hostSmtpPort.
    `void` | `setTargetImapPort(int targetImapPort)` Sets the targetImapPort.
    `void` | `setTargetSmtpPort(int targetSmtpPort)` Sets the targetSmtpPort.

    - ### Methods inherited from interface org.apache.uima.resource.MessagingSpecifier

      `getHostAddress, getHostMessagingServer, getHostPassword, getHostUser, getMessagingType, getTargetAddress, getTargetMessagingServer, getTargetPassword, getTargetUser, getTimeout, setHostAddress, setHostMessagingServer, setHostPassword, setHostUser, setMessagingType, setTargetAddress, setTargetMessagingServer, setTargetPassword, setTargetUser, setTimeout`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Method Detail

    - #### getHostImapPort

          int getHostImapPort()

      Returns the hostImapPort.
      Returns:
        int

    - #### getHostSmtpPort

          int getHostSmtpPort()

      Returns the hostSmtpPort.
      Returns:
        int

    - #### getTargetImapPort

          int getTargetImapPort()

      Returns the targetImapPort.
      Returns:
        int

    - #### getTargetSmtpPort

          int getTargetSmtpPort()

      Returns the targetSmtpPort.
      Returns:
        int

    - #### setHostImapPort

          void setHostImapPort(int hostImapPort)

      Sets the hostImapPort.
      Parameters:
        `hostImapPort` - The hostImapPort to set

    - #### setHostSmtpPort

          void setHostSmtpPort(int hostSmtpPort)

      Sets the hostSmtpPort.
      Parameters:
        `hostSmtpPort` - The hostSmtpPort to set

    - #### setTargetImapPort

          void setTargetImapPort(int targetImapPort)

      Sets the targetImapPort.
      Parameters:
        `targetImapPort` - The targetImapPort to set

    - #### setTargetSmtpPort

          void setTargetSmtpPort(int targetSmtpPort)

      Sets the targetSmtpPort.
      Parameters:
        `targetSmtpPort` - The targetSmtpPort to set

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.